package com.example.afrishop_v3.repository;

import com.example.afrishop_v3.models.TbCfSearch;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

public interface TbCfSearchEntityRepository extends PagingAndSortingRepository<TbCfSearch,String> {
    List<TbCfSearch> getAllByUserId(String userId);

    @Modifying
    @Query("delete from tb_cf_search u where u.id in ?1")
    void deleteRecordsWithIds(String[] ids);
}
